import { create } from "zustand";
import { type AuthStoreType } from "../../auth/types/AuthTypes";

export const useAuthStore = create<AuthStoreType>((set) => ({
  phone: "",
  slug: "",
  setSlug(value) {
    set({ slug: value });
  },
  setPhone(value) {
    set({ phone: value });
  },
  email: "",
  setEmail(value) {
    set({ email: value });
  },
  stepLogin: 1,
  setStepLogin(value) {
    set({ stepLogin: value });
  },
  otp: "",
  setOtp(value) {
    set({ otp: value });
  },
}));
